
package de.ivu.elect.presentation.personenregister.table;

import javax.annotation.Nonnull;

import de.ivu.elect.business.anschrift.entity.AnschriftConstants;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;
import de.ivu.elect.presentation.personenregister.AbstractEntityMitPersonendatenSearchResultEntry;

public class EntityMitPersonendatenSearchResultEntryAnschriftOrtColumn<E extends AbstractEntityMitPersonendatenSearchResultEntry> extends AbstractEntityMitPersonendatenSearchResultEntryAnschriftdatenColumn<E> {

  private static final long serialVersionUID = 1L;

  public EntityMitPersonendatenSearchResultEntryAnschriftOrtColumn(Messages messages) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.STRING;
  }

  @Override
  public String getHeader() {
    return getMessage(AnschriftConstants.MESSAGE_KEY_ORT_EINZAHL);
  }

  @Override
  protected Object getValueInternal(@Nonnull E entry) {
    return entry.getAnschriftOrt();
  }
}
